## omega-rpg 0.90

=== Makefile ===
### These two definitions are used if you 'make install'
### the value of LIBDIR should be the same as OMEGALIB in defs.h
BINDIR = ./omega/
LIBDIR = ./lib/

### choose your optimization level
OFLAGS = -O2

### One of these should be uncommented, as appropriate, unless your compiler
### does it for you.  You can test this by simply trying to 'make' omega -
### it will fail if none of them are defined.  If you do uncomment
### one, make sure you comment out the other definition of CFLAGS lower down

CFLAGS = -ggdb -Wall $(OFLAGS) -DBSD # -ansi
#CFLAGS = -DSYSV $(OFLAGS)
#CFLAGS = -DMSDOS $(OFLAGS)
#CFLAGS = -DAMIGA $(OFLAGS)

### CPP should contain the command to run the C preprocessor.
#CPP = cc -E
#CPP = /lib/cpp
CPP = gcc -E

### define a compiler
CC = gcc

### Select one of the following that is appropriate for your curses...
### Comment ALL of them out if you are using opcurses
#LIBS = -lncurses -ltermcap
#LIBS = -lcurses -ltermlib
#LIBS = -lpdcurses
#Linux links in term?? automatically.
#LIBS = -lncurses

### uncomment to use "op-curses" package
OPDEF = -DUSE_OPCURSES
CUROBJ = ../opcurses/curses.o ../opcurses/curgtk.o

### uncomment to compile using opcurses GTK+ driver
CPPFLAGS = `gtk-config --cflags` -DUSE_OPCURSES
LDFLAGS = `gtk-config --libs`

#################### that's it for changing the Makefile ####################

OLIBSTUFF = tools/libsrc/maps.dat lib/maps.dat

TOOLS = tools/crypt tools/decrypt tools/makedate

CLROBJ = clrgen.o

OBJ = omega.o abyss.o aux1.o aux2.o aux3.o bank.o char.o city.o\
      command1.o command2.o command3.o country.o date.o effect1.o\
      effect2.o effect3.o etc.o env.o file.o gen1.o gen2.o guild1.o guild2.o\
      house.o init.o inv.o item.o itemf1.o itemf2.o itemf3.o lev.o map.o\
      mmelee.o mmove.o mon.o move.o movef.o mspec.o mstrike.o mtalk.o\
      newrand.o priest.o pdump.o save.o scr.o site1.o site2.o spell.o\
      stats.o time.o trap.o util.o village.o

all: maps.dat omega

omega: $(CUROBJ) $(CLROBJ) $(OBJ)
	$(CC) $(LDFLAGS) $(OFLAGS) $(CUROBJ) $(CLROBJ) $(OBJ) $(LIBS) -o omega
	rm date.c date.o

date.c:
	tools/makedate > date.c

maps.dat:
	cd tools; make
	cd tools/libsrc; make maps.dat

install: omega maps.dat $(BINDIR) $(LIBDIR)
	cp omega $(BINDIR)
	chmod 4711 $(BINDIR)/omega
	- cp lib/* $(LIBDIR)
	cp maps.dat $(LIBDIR)
	chmod 0644 $(LIBDIR)/help*.txt $(LIBDIR)/license.txt $(LIBDIR)/motd.txt $(LIBDIR)/thanks.txt $(LIBDIR)/update.txt
	chmod 0600 $(LIBDIR)/abyss.txt $(LIBDIR)/scroll[1234].txt $(LIBDIR)/maps.dat
	chmod 0600 $(LIBDIR)/omega.hi $(LIBDIR)/omega.log $(LIBDIR)/omegahi.bak

install_not_suid: omega maps.dat $(BINDIR) $(LIBDIR)
	cp omega $(BINDIR)
	chmod 0711 $(BINDIR)/omega
	- cp lib/* $(LIBDIR)
	cp maps.dat $(LIBDIR)
	chmod 0644 $(LIBDIR)/help*.txt $(LIBDIR)/license.txt $(LIBDIR)/motd.txt $(LIBDIR)/thanks.txt $(LIBDIR)/update.txt
	chmod 0644 $(LIBDIR)/abyss.txt $(LIBDIR)/scroll[1234].txt $(LIBDIR)/*.dat
	chmod 0666 $(LIBDIR)/omega.hi $(LIBDIR)/omega.log
	chmod 0600 $(LIBDIR)/omegahi.bak

clean:
	rm -f $(OBJ) clrgen.h clrgen.c genclr.o genclr omega

distclean:
	rm -f $(OBJ) $(CUROBJ) $(TOOLS) $(OLIBSTUFF) clrgen.h clrgen.c genclr.o genclr omega
	cp lib/omega.hi.backup lib/omega.hi
	cp lib/omega.log.backup lib/omega.log

$(CUROBJ): ../opcurses/curses.h ../opcurses/cmacros.h ../opcurses/xcurses.h

$(CLROBJ): clrgen.h

$(OBJ): defs.h extern.h glob.h iinit.h minit.h clrgen.h

clrgen.h clrgen.c: genclr.c minit.h defs.h
	$(MAKE) genclr
	$(CPP) $(OPDEF) -DOMEGA_CLRGEN *.[ch] | ./genclr clrgen.c clrgen.h

genclr: genclr.o
	$(CC) $(LDFLAGS) genclr.o -o genclr

=== lib/Makefile ===
MAPS = abyss.dat arena.dat circle.dat city.dat country.dat \
	court.dat dlair.dat home1.dat home2.dat home3.dat \
	maze1.dat maze2.dat maze3.dat maze4.dat misle.dat \
	speak.dat temple.dat village1.dat village2.dat village3.dat \
	village4.dat village5.dat village6.dat

all:
	cvs rm $(MAPS)

.map.dat:
	cd ../tools; make -f makefile
	../tools/crypt $@ > $@ < $<

=== tools/libsrc/Makefile ===
MAPS = abyss.map arena.map circle.map city.map country.map court.map \
       dlair.map hedges.map house.map hovel.map mansion.map misle.map \
       skorch.map speak.map starview.map stormwat.map temple.map \
       thaumari.map woodmere.map whorfen.map

maps.dat: $(MAPS) ../crypt
	../crypt maps.dat $(MAPS)
	cp maps.dat ../../lib

../crypt: ../crypt.c
	cd ..; make

## omega-rpg 0.90-pa9

=== debian/changelog ===
omega-rpg (1:0.90-pa9-21) unstable; urgency=medium

  * Adopt the game and its bugs inside Games Team (Closes: #963928)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 02 Apr 2025 11:38:55 +0200

omega-rpg (1:0.90-pa9-20) unstable; urgency=medium

  * QA upload.
  * Set Rules-Requires-Root: binary-targets
  * Salsa repository was moved to Games Team waiting for a formal adopter.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 29 Nov 2024 14:19:32 +0100

omega-rpg (1:0.90-pa9-19) unstable; urgency=medium

  * QA upload.

  [ Anatoliy Gunya ]
  * fix FTBS (#1075330)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 28 Sep 2024 20:53:46 +0200

omega-rpg (1:0.90-pa9-18) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.8 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Replaced obsolete libncurses5-dev build dependency with libncurses-dev.
  * Update lintian override info format in d/omega-rpg.lintian-overrides
    on line 1-2.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dh arguments: --parallel.
  * Added missing Type=Application to desktop file (Closes: #1031633).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 30 May 2024 07:45:26 +0200

omega-rpg (1:0.90-pa9-17) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #963928)
  * Disable format hardening to workaround FTBFS with newer ncurses.
    (Closes: #995600)

 -- Adrian Bunk <bunk@debian.org>  Sun, 14 Nov 2021 22:57:15 +0200

omega-rpg (1:0.90-pa9-16) unstable; urgency=medium

  * Convert package to 3.0 (quilt) format.
  * Convert debian/rules to dh.
  * Bump debian/compat and Standards-Version. Closes: #817603
  * Replace menu file with a desktop entry. Closes: #737981

 -- Guus Sliepen <guus@debian.org>  Mon, 20 Jun 2016 13:54:03 +0200

omega-rpg (1:0.90-pa9-15) unstable; urgency=low

  * Fix potential crash when a manastorm or ball spell occurs at the edge of a
    map. Closes: #471919

 -- Guus Sliepen <guus@debian.org>  Sun, 01 Jun 2008 17:27:29 +0200

omega-rpg (1:0.90-pa9-14) unstable; urgency=low

  * Allow parallel builds.

 -- Guus Sliepen <guus@debian.org>  Fri, 04 Jan 2008 13:07:32 +0100

omega-rpg (1:0.90-pa9-13) unstable; urgency=low

  * Fix bitshifting in save_country() and save_level(). This probably fixes
    loss of state in restored savegames.

 -- Guus Sliepen <guus@debian.org>  Sat, 19 Aug 2006 18:11:28 +0000

omega-rpg (1:0.90-pa9-12) unstable; urgency=low

  * Fix enchanting negatively enchanted items. Closes: #246038
  * Fix debit card creation if bank has been robbed. Closes: #246117

 -- Guus Sliepen <guus@debian.org>  Tue, 27 Apr 2004 13:04:02 +0200

omega-rpg (1:0.90-pa9-11) unstable; urgency=low

  * Apply patch from Debian Security Team preventing buffer overflows in
    command line and environment variable handling.

 -- Guus Sliepen <guus@debian.org>  Fri,  7 Nov 2003 13:57:06 +0100

omega-rpg (1:0.90-pa9-10) unstable; urgency=low

  * Apply patch from Richard Braakman to fix disappearing items after
    escaping from pickup command. Closes: #199627

 -- Guus Sliepen <guus@debian.org>  Wed,  2 Jul 2003 14:41:27 +0200

omega-rpg (1:0.90-pa9-9) unstable; urgency=low

  * Don't cast result of getitem_prompt() to char prematurely. Closes: #161930

 -- Guus Sliepen <guus@debian.org>  Sun, 22 Sep 2002 22:06:01 +0200

omega-rpg (1:0.90-pa9-8) unstable; urgency=low

  * Remove highscore and log when purging. Closes: #161410

 -- Guus Sliepen <guus@debian.org>  Sun, 22 Sep 2002 15:00:03 +0200

omega-rpg (1:0.90-pa9-7) unstable; urgency=low

  * Added menu hints. Closes: #141850

 -- Guus Sliepen <guus@sliepen.warande.net>  Tue,  9 Apr 2002 21:36:17 +0200

omega-rpg (1:0.90-pa9-6) unstable; urgency=low

  * Include patch from Richard Braakman. Closes: #134371
  * Enforce correct permissions on hiscore file. Closes: #134372

 -- Guus Sliepen <guus@sliepen.warande.net>  Mon, 18 Feb 2002 13:54:31 +0100

omega-rpg (1:0.90-pa9-5) unstable; urgency=low

  * Added Richard Braakman's patches. Closes: #112851, #130539

 -- Guus Sliepen <guus@sliepen.warande.net>  Mon, 28 Jan 2002 22:01:38 +0100

omega-rpg (1:0.90-pa9-4) unstable; urgency=low

  * When resurrecting guards access maps.dat instead of city.dat.
    Closes: #131042

 -- Guus Sliepen <guus@sliepen.warande.net>  Sat, 26 Jan 2002 23:03:16 +0100

omega-rpg (1:0.90-pa9-3) unstable; urgency=low

  * Spelling fixes for description. Closes: #125203
  * Actually install lintian overrides file.

 -- Guus Sliepen <guus@sliepen.warande.net>  Fri, 21 Dec 2001 19:05:59 +0100

omega-rpg (1:0.90-pa9-2) unstable; urgency=low

  * Added entry to Debian's menu system.

 -- Guus Sliepen <guus@sliepen.warande.net>  Wed, 12 Dec 2001 23:48:11 +0100

omega-rpg (1:0.90-pa9-1) unstable; urgency=low

  * New upstream release.
  * Set WIZARD to "root". Closes: #112404
  * Added lintian overrides.

 -- Guus Sliepen <guus@sliepen.warande.net>  Sun, 16 Sep 2001 23:50:00 +0200

omega-rpg (0.90.4-1) unstable; urgency=low

  * Initial Release. Closes: #89200
  * Changed library directory to /usr/share/games/omega-rpg for FHS
    compliance, seperated highscore and log file to /var/games/omega-rpg.

 -- Guus Sliepen <guus@sliepen.warande.net>  Sun, 11 Mar 2001 22:57:08 +0100

=== debian/control ===
Source: omega-rpg
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Standards-Version: 4.7.0
Build-Depends:
 debhelper-compat (= 13),
 libncurses-dev,
Rules-Requires-Root: binary-targets
Vcs-Browser: https://salsa.debian.org/games-team/omega-rpg
Vcs-Git: https://salsa.debian.org/games-team/omega-rpg.git
X-Style: black

Package: omega-rpg
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: text-based roguelike game
 Omega is a complex rogue-style game of dungeon exploration. Unlike other such
 games, there are a number of ways to "win", depending on various actions
 taken during play. The ways you can get your name on the high score board
 include becoming the highest ranked head of a guild, sect, college, etc., as
 well as gaining the most points figured from possessions and experience. The
 game (via the oracle) may impose some structure on your exploration, but you
 need not follow all of the oracle's advice. There *is* a "total winner"
 status, by the way.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=-format

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="`dpkg-buildflags --get CFLAGS`" CPPFLAGS="`dpkg-buildflags --get CPPFLAGS`" LDFLAGS="`dpkg-buildflags --get LDFLAGS`"

execute_after_dh_auto_install:
	chgrp games debian/omega-rpg/usr/games/omega-rpg
	chmod 2755 debian/omega-rpg/usr/games/omega-rpg
	mkdir -p debian/omega-rpg/var/games
	mkdir -m 2775 debian/omega-rpg/var/games/omega-rpg
	chmod a+r debian/omega-rpg/usr/games/omega-rpg
	rm -f debian/omega-rpg/usr/share/games/omega-rpg/lgpl.txt
	install -D -m 644 docs/omega.6 debian/omega-rpg/usr/share/man/man6/omega-rpg.6

override_dh_fixperms:
	dh_fixperms --exclude=usr/games/omega-rpg --exclude=/var/games/omega-rpg
